/*
For the Macintosh World
to compile:
javac -classpath .:KarelJRobot.jar kareltherobot/Application.java

to run, the .class file must be in a folder named kareltherobot
java -cp .:KarelJRobot.jar kareltherobot.Application


For the Windows World
to compile:
javac -classpath .;KarelJRobot.jar kareltherobot/Application.java

to run, the .class file must be in a folder named kareltherobot
java -cp .;KarelJRobot.jar kareltherobot.Application

*/

/*
This program written by Scott McElfresh.  

It has a robot climb 4 stairs, pick up a beeper and return.
*/
package kareltherobot;


public class Application implements Directions
{	public static void main(String [] args)
	{	
		World.setVisible(true);
		World.readWorld("stairs.txt");
		World.setTrace(true);
		World.setDelay(100);  // wait for the graphics to catch up
		
		
		Robot spot = new Robot(1,1,East,0);
		
		World.setDelay(10);  //  now, go a usual speed
		
		// first, get to stairs
		spot.move();
		spot.move();
		spot.move();
		
		// climb a stair
		spot.turnLeft();
		spot.move();
		spot.turnLeft();
		spot.turnLeft();
		spot.turnLeft();
		spot.move();
		// climb a stair
		spot.turnLeft();
		spot.move();
		spot.turnLeft();
		spot.turnLeft();
		spot.turnLeft();
		spot.move();
		// climb a stair
		spot.turnLeft();
		spot.move();
		spot.turnLeft();
		spot.turnLeft();
		spot.turnLeft();
		spot.move();
		// climb a stair
		spot.turnLeft();
		spot.move();
		spot.turnLeft();
		spot.turnLeft();
		spot.turnLeft();
		spot.move();
		
		spot.pickBeeper();
		spot.turnLeft();
		spot.turnLeft();
		
		// go down one stair
		spot.move();
		spot.turnLeft();
		spot.move();
		spot.turnLeft();
		spot.turnLeft();
		spot.turnLeft();
						
	    // go down one stair
		spot.move();
		spot.turnLeft();
		spot.move();
		spot.turnLeft();
		spot.turnLeft();
		spot.turnLeft();
		
		// go down one stair
		spot.move();
		spot.turnLeft();
		spot.move();
		spot.turnLeft();
		spot.turnLeft();
		spot.turnLeft();
		// go down one stair		
		spot.move();
		spot.turnLeft();
		spot.move();
		spot.turnLeft();
		spot.turnLeft();
		spot.turnLeft();
		
		// return home
		
		spot.move();
		spot.move();
		spot.move();
		spot.putBeeper();

		

		spot.turnOff();
	
	
	}

}